Summary:       Internationalized Domain Name support library
Name:          libidn
Version:       0.5.2
Release:       0.fdr.1.1
URL:           http://www.gnu.org/software/libidn/
License:       LGPL
Source0:       http://josefsson.org/libidn/releases/libidn-%{version}.tar.gz
Group:         System Environment/Libraries
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig

%description
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

%package devel
Summary:  Development files for the libidn library
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes header files and libraries necessary for
developing programs which use the GNU libidn library.

%prep
%setup -q

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%check
%{__make} %{?_smp_mflags} -C tests check

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/libidn.la

# provide more examples
%{__make} %{?_smp_mflags} -C examples distclean

# clean up docs
find doc -name "Makefile*" | xargs %{__rm}

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/{locale,info}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog NEWS FAQ README THANKS COPYING*
%{_bindir}/idn
%{_mandir}/man1/idn.1*
%{_datadir}/emacs/site-lisp
%{_libdir}/libidn.so.*

%files devel
%defattr(0644,root,root,755)
%doc doc/libidn.html examples contrib
%{_libdir}/libidn.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%changelog
* Tue Aug 03 2004 Adrian Reber <adrian@lisas.de> - 0.5.2-0.fdr.1
- updated to 0.5.2 (#1927)
- removed static lib
- removed libidn.la
- changed group from System/Libraries to System Environment/Libraries

* Fri Jul 16 2004 Adrian Reber <adrian@lisas.de> - 0.5.0-0.fdr.1
- rebuilt for FE2

* Mon Jun 28 2004 Joe Orton <jorton@redhat.com> 0.5.0-1
- update to 0.5.0 (#126836)

* Tue Jun 22 2004 Than Ngo <than@redhat.com> 0.4.9-2
- add prereq: /sbin/ldconfig
- move la file in main package

* Tue Jun 15 2004 Robert Scheck <redhat@linuxnetz.de> 0.4.9-1
- upgrade to 0.4.9 (#126353)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr 29 2004 Joe Orton <jorton@redhat.com> 0.4.4-1
- update to 0.4.4; remove contrib from -devel docs

* Thu Apr 29 2004 Joe Orton <jorton@redhat.com> 0.4.3-1
- update to 0.4.3, remove -rpath patch

* Tue Jan 27 2004 Joe Orton <jorton@redhat.com> 0.3.7-1
- update to 0.3.7, simplify

* Wed Jan 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- 0.3.6

* Mon Dec 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.5-1mdk
- 0.3.5

* Sun Oct 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.3-2mdk
- drop the "soname fix" and use the correct way...

* Sat Oct 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.3-1mdk
- 0.3.3

* Mon Oct 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-1mdk
- initial cooker contrib
- used the package from PLD as a start point
